<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 *
 * @package WordPress
 * @subpackage Twenty_Thirteen
 * @since Twenty Thirteen 1.0
 */

/*
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
	return;
?>

<div id="comments" class="comments-area">

	<?php if ( have_comments() ) :
		$comments_count = wp_count_comments();

	?>
	<div class="outer_comment col-md-12">
		<div class="inner">
			<div class="count_comments">
				<?php echo $comments_count->approved ?> <?php echo (intval($comments_count->approved) > 1) ? 'comments' : 'comment' ?>
			</div>

			<ul class="comment-list">
				<?php


					wp_list_comments( array(
						'type'		=> 'comment',
						'callback'	=> 'lc_comment'
					));
				?>
			</ul><!-- .comment-list -->
		</div>

	</div><!--End .bg_gray-->


		<?php
			// Are there comments to navigate through?
			if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
		?>
		<nav class="navigation comment-navigation" role="navigation">
			<h1 class="screen-reader-text section-heading"><?php _e( 'Comment navigation'); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments') ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;') ); ?></div>
		</nav><!-- .comment-navigation -->
		<?php endif; // Check for comment navigation ?>

		<?php if ( ! comments_open() && get_comments_number() ) : ?>
		<p class="no-comments"><?php _e( 'Comments are closed.'); ?></p>
		<?php endif; ?>

	<?php endif; // have_comments() ?>

	<?php
	if(is_user_logged_in())
		$class= 'col-md-12 hidden_text';
	else
		$class= 'col-md-6';
	$comment_args = array(
		'title_reply'=>'Leave a comment ',
		'fields' => apply_filters('comment_form_default_fields', array(
			'author' => '<div class="col-md-6"><div class="comment-form-author row_form">' .

							//( $req ? '<span>*</span>' : '' ) .
							'<input id="author" name="author" type="text" placeholder="ENTER YOUR NICKNAME *" size="30" />' .
						'</div>',

    		'email'  => '<div class="comment-form-email row_form">' .

                			//( $req ? '<span>*</span>' : '' ) .
                			'<input id="email" name="email" type="text" placeholder="ENTER YOUR EMAIL *" size="30" />' .
                		'</div>',

			'url'    => '<div class="comment-form-url row_form">' .

                			//( $req ? '<span>*</span>' : '' ) .
                			'<input id="url" name="url" type="text" placeholder="ENTER WEB PAGE / BLOG" size="30" />' .
                		'</div></div>')),

    		'comment_field' => '<div class="'.$class.'">' .
                '<div class="row_form"><textarea id="comment" name="comment" cols="45" rows="8" placeholder="WRITE YOUR COMMENT *" aria-required="true"></textarea></div>' .
               '</div><div class="clearfix"></div><div class="row_form_text col-md-12 '.$class.'">Your email address will not be published. Required fields are marked*</div>',
		'comment_notes_before' => '',
    	'comment_notes_after' => '',
    	'label_submit' => 'Submit Comment'
	);
	echo '<div class="row">';
	comment_form($comment_args);
	echo '</div>';
	?>

</div><!-- #comments -->
